## 𝔸𝕝𝕥𝕖𝕣𝕟𝕒𝕥𝕚𝕧𝕖 Frontends

[![Awesome](https://awesome.re/badge.svg)](https://awesome.re) 
[![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://github.com/digitalblossom/alternative-frontends/graphs/commit-activity) [![Coffee](https://img.shields.io/badge/Buy%20me%20a-coffee-orange)](https://ko-fi.com/digitalblossom)

**This is a list of privacy-respecting frontends to popular services like social media. All of them are cross-plattform webapps and should work on your device no matter the OS and hardware.**
___
ⓘ You can suggest new frontends and modifications (new domains, removal ...) **[here](https://github.com/digitalblossom/alternative-frontends/issues/new/choose)**.
___
[Youtube](#youtube) • [Reddit](#reddit) • [Translate](#translate) • [Search Engines](#search-engines) • [Medium](#medium) • [Twitter](#twitter) • [Imgur](#imgur) • [Instagram](#instagram) • [Wikipedia](#wikipedia) • [Tools](#tools)

☰ You can jump between sections via the little menu icon above to the left. 

ⓘ Check out the [tools section](#tools) at the bottom to find out how to easily adopt and even self-host.
___
### YouTube
- **Invidious**
   - Lightweight YouTube frontend - no tracking, no ads and Javascript is optional.
   - [Homepage](https://invidious.io) | [Repo](https://github.com/iv-org/invidious)
   - [Public Instances](https://docs.invidious.io/Invidious-Instances.md)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://docs.invidious.io/Installation.md)
   - [x] Decentralized Options | [I2P](http://tube.i2p) | [Onion](https://github.com/iv-org/documentation/blob/master/Invidious-Instances.md#tor-onion-services) | [Loki](http://invidious.loki)

- **Piped**
   - Alternative privacy-friendly YouTube frontend. Lightweight, no ads (Sponsorblock integrated), no tracking, 4K support and more. 
   - [Main Instance](https://piped.kavin.rocks) | [Repo](https://github.com/TeamPiped/Piped)
   - [Public Instances](https://piped.kavin.rocks/preferences) (scroll down)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://piped-docs.kavin.rocks/docs/self-hosting)
   - [x] Decentralized Options | [IPNS](https://github.com/digitalblossom/alternative-frontends/issues/25#issuecomment-1002261657) | [Onion](http://piped2bbch4xslbl2ckr6k62q56kon56ffowxaqzy42ai22a4sash3ad.onion)

- **Cloudtube**
   - Alternative Invidious frontend without Javascript. 
   - [Main Instance](https://tube.cadence.moe) | [Repo](https://sr.ht/~cadence/tube)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://git.sr.ht/~cadence/tube-docs/tree/main/item/docs/cloudtube/Installing%20CloudTube.md)

### Reddit
- **Teddit**
   - Privacy-focused lightweight Reddit frontend. No ads, no javascript. Provides an unofficial API. 
   - [Main Instance](https://teddit.net) | [Repo](https://codeberg.org/teddit/teddit)
   - [Public Instances](https://github.com/teddit-net/teddit#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/teddit/teddit#installation)
   - [x] Decentralized Options | [I2P](http://teddit.i2p) 

- **Libreddit**
   - Privacy-focused fast Reddit frontend without ads, javascript and tracking. All requests are proxied through the server.
   - [Main Instance](https://libredd.it/) | [Repo](https://github.com/spikecodes/libreddit)
   - [Public Instances](https://github.com/spikecodes/libreddit#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/spikecodes/libreddit#installation)

- **Troddit**   
   - A significantly smaller Open Source frontend for Reddit, written in NextJS.
   - [Main Instance](https://troddit.com/) | [Repo](https://github.com/burhan-syed/troddit)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/burhan-syed/troddit#getting-started)

   ⓘ Uses Javascript and Vercel's [audience analytics](https://nextjs.org/analytics). Connects directly to Reddit without a proxy.

### Translate
- **Lingva**
   - Tracking-free Google Translate frontend
   - [Main Instance](https://lingva.ml/) | [Repo](https://github.com/TheDavidDelta/lingva-translate)
   - [Public Instances](https://github.com/TheDavidDelta/lingva-translate#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/TheDavidDelta/lingva-translate#deployment)

- **SimplyTranslate**
   - FOSS Javascript-free frontend for multiple translators, including Google Translate and DeepL
   - [Homepage](https://simple-web.org/projects/simplytranslate.html) | [Main Instance](https://simplytranslate.org) | [Repo](https://sr.ht/~metalune/SimplyTranslate) 
   - [Public Instances](https://simple-web.org/instances/simplytranslate)
   - [x] Open-Source
   - [x] Self-Hostable


### Search Engines
- **Whoogle**
   - Google search result frontend without Javascript, ads, cookies and tracking. Tor and HTTP/SOCKS proxy support
   - Main Instance n/a | [Repo](https://github.com/benbusby/whoogle-search)
   - [Public Instances](https://github.com/benbusby/whoogle-search#public-instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/benbusby/whoogle-search#install)

- **SearX**
   - Privacy-respecting, self-hostable metasearch engine. Acts as frontend for more than 70 search services.
   - [Homepage](https://searx.github.io/searx) | [Repo](https://github.com/searx/searx)
   - [Public Instances](https://searx.space)
   - [x] Open-Source
   - [x] Self-Hostable
   - [x] Decentralized Options | [Onion](http://searxspbitokayvkhzhsnljde7rqmn7rvoga6e4waeub3h7ug3nghoad.onion)

### Medium
- **Scribe**
   - Tracking- and ad-free FOSS frontend for Medium
   - [Main Instance](https://scribe.rip) | [Repo](https://git.sr.ht/~edwardloveall/scribe)
   - [Public Instances](https://git.sr.ht/~edwardloveall/scribe/tree/main/docs/instances.md)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://git.sr.ht/~edwardloveall/scribe#deploying-your-own) 

### Twitter
- **Nitter**
   - Lightweight Twitter frontend. No ads, no Javascript, no tracking. RSS support.
   - [Main Instance](https://nitter.net/) | [Repo](https://github.com/zedeus/nitter)
   - [Public Instances](https://github.com/zedeus/nitter/wiki/Instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/zedeus/nitter#installation)

### Imgur
- **Rimgu**
   - Lightweight Imgur frontend without Javascript and ads. Uses its own request implementation. Can use either API or scraping.
   - Main Instance n/a | [Repo](https://codeberg.org/3np/rimgu)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/3np/rimgu#docker-1)

   ⓘ Rimgu is currently in early development

- **Imgin**
   - Lightweight Imgur frontend without Javascript and ads. Uses its own request implementation.
   - [Main Instance](https://imgin.voidnet.tech/) | [Repo](https://git.voidnet.tech/kev/imgin)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable

### Instagram
- **Bibliogram**
   - Alternative Instagram frontend without Javascript, tracking, ads and signup prompts. Currently unstable due to Instagram's server blocking.
   - [Main Instance](https://bibliogram.art/) | [Repo](https://sr.ht/~cadence/bibliogram/)
   - [Public Instances](https://git.sr.ht/~cadence/bibliogram-docs/tree/master/docs/Instances.md) 
   - [x] Open-Source 
   - [x] Self-Hostable | [Guide](https://git.sr.ht/~cadence/bibliogram-docs/tree/master/docs/Installing%20%28extended%29.md)

   ⓘ Bibliogram is currently not working due to Instagram blacklisting servers. 

### Wikipedia
- **Wikiless**
   - A Javascript-free Wikipedia frontend. Should work in countries where Wikipedia is censored.
   - [Main Instance](https://wikiless.org) | [Repo](https://codeberg.org/orenom/wikiless)
   - [Public Instances](https://codeberg.org/orenom/wikiless#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/orenom/wikiless#installation)

___

### Tools

- **Farside**
   - Automatically redirects to working instances of alternative frontends. Helps prevent performance bottlenecks by distributing across instances.
   - [Homepage](https://farside.link) | [Repo](https://github.com/benbusby/farside)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/benbusby/farside#development)

- **Privacy Redirect**
   - Browser extension that automatically redirects to the alternative frontends of several services. Available for Chromium browsers and Firefox.
   - [Download & Repo](https://github.com/SimonBrazell/privacy-redirect)
   - [x] Open-Source

- **SSL Labs**
   - Free tool by Qualys that does a deep analysis to check the SSL implementation of a server. Helpful to check public instances. You'll find this on the [Piped](#youtube) page for instance.
   - [Homepage](https://www.ssllabs.com/ssltest/)
   - [ ] Open-Source

   ⓘ Not Open Source, but made by a trustworthy company and operates with a [good privacy policy](https://www.ssllabs.com/downloads/Qualys_SSL_Labs_Terms_of_Use.pdf).

- **UntrackMe**
   - FOSS Android app that redirects to the alternative frontends of several services. Can also clean tracking parameters.
   - [Download & Homepage](https://fedilab.app/wiki/untrackme) | [Repo](https://framagit.org/tom79/nitterizeme) 
   - [x] Open-Source

- **YunoHost**
   - Novice-friendly server OS. Easily host multiple of the listed services on your own hardware (e. g. a Raspberry Pi) using templates.
   - [Download & Homepage](https://yunohost.org) | [Repo](https://github.com/YunoHost)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://yunohost.org/en/install)

___
If you appreciate the work that went into compiling and updating this list, feel free to [![Coffee](https://img.shields.io/badge/Buy%20me%20a-coffee-orange)](https://ko-fi.com/digitalblossom).

Credit to mendel5 for the idea. While his awesome project served as inspiration, this repo is not a fork and uses a different approach with different projects listed.
___
<sup>This repository is not affiliated with any of the mentioned companies. Trademarks belong to their respective owners.
YouTube is a trademark of Google LLC. Google is a trademark of Google LLC. Reddit is a trademark of Reddit Inc. Twitter is a trademark of Twitter Inc. Imgur is a trademark of Imgur LLC. Instagram is a trademark of Instagram LLC. Medium is a trademark of A Medium Corporation.</sup>
